﻿.hero-block {
    --container-width: 60.625em;
    --margin-width: calc((100% - var(--container-width)) / 2);
}

    .hero-block .container .affiliates-link-wrapper a {
        text-decoration: underline
    }

@media screen and (min-width: 1200px) {
    .hero-block .container {
        min-height: 564px
    }
}

.hero-block strong {
    font-weight: 700
}

.hero-block .container {
    display: flex;
    align-items: center
}

    .hero-block .container .hero-content {
        max-width: 500px;
        margin: 1.5em 0 1.75em
    }

@media screen and (max-width: 767px) {
    .hero-block .container .hero-content h4 img {
        display: block;
        margin: 0 auto
    }
}

@media screen and (min-width: 1200px) {
    .hero-block .container .hero-content-wrapper {
        margin-top: -6em;
        margin-left: 2em;
    }
}

.hero-block .container .hero-content .h1-wrapper {
    padding: .5em 0;
    text-align: left;
    margin-top: -.5em
}

    .hero-block .container .hero-content .h1-wrapper h1 {
        font-size: 3em !important;
        line-height: 1.15em !important;
        text-transform: none
    }

@media (min-width: 1200px) {
    .hero-block .container .hero-content .h1-wrapper h1 {
        width: 140%
    }
}

.hero-block .container .hero-content .h1-wrapper h2 {
    text-align: left !important;
    font-weight: 400;
    margin-top: 0;
    font-size: 2.25em
}

@media (min-width: 768px) {
    .hero-block .container .hero-content .h1-wrapper h2 {
        margin-bottom: 0
    }

    .hero-block .container .hero-content .h1-wrapper .affiliates-hero-btn {
        width: 40%
    }
}

.hero-block .container .hero-content .h1-wrapper .affiliates-hero-btn {
    text-align: center;
    display: block;
    margin: 1.6em 0 .25em
}

.hero-block .container .hero-content h2.h2-adj {
    font-weight: 400;
    font-size: 22px;
    line-height: 32px;
    text-align: center
}

@media screen and (min-width: 768px) {
    .hero-block .container .hero-content h2.h2-adj {
        font-size: 30px;
        line-height: 1.07;
        text-align: left !important
    }

    .hero-block .container .hero-content h4 .affiliates-link-wrapper {
        text-align: left
    }
}

.hero-block .container .hero-content hr {
    border-top: 1px solid #D8D8DF
}

.hero-block .container .hero-content h4 {
    font-size: 14px;
    line-height: 26px
}

    .hero-block .container .hero-content h4 .affiliates-link-wrapper {
        font-size: 1.14em;
        font-weight: 400;
        text-align: left;
        vertical-align: text-top
    }

        .hero-block .container .hero-content h4 .affiliates-link-wrapper .pipe {
            display: none
        }

@media screen and (min-width: 768px) {
    .hero-block .container .hero-content h4 .affiliates-link-wrapper .pipe {
        display: inline-block;
        margin: 0 .7em
    }
}

.hero-block .container .hero-content h4 img {
    margin: unset;
    max-width: 8em;
    vertical-align: bottom;
    max-height: 3.5em
}

.hero-block .container .hero-content h3 {
    font-weight: 700;
    font-size: 22px;
    line-height: 32px;
    margin-bottom: 0;
    text-align: center
}

@media screen and (min-width: 768px) {
    .hero-block .container .hero-content h4 img {
        max-width: 247px;
        max-height: 66px
    }

    .hero-block .container .hero-content h3 {
        font-size: 30px;
        line-height: 1.07;
        text-align: left
    }
}

.hero-block .container .hero-content .code-wrapper {
    margin: 30px auto 53px;
    font-size: 22px;
    line-height: 26px;
    text-align: center
}

    .hero-block .container .hero-content .code-wrapper img {
        vertical-align: initial;
        display: inline-block
    }

@media screen and (min-width: 768px) {
    .hero-block .container .hero-content .code-wrapper {
        text-align: left
    }
}

.hero-block .container .hero-content .hero-button-wrapper {
    margin-bottom: 45px
}

    .hero-block .container .hero-content .hero-button-wrapper .cta {
        width: 100%;
        font-size: 18px;
        line-height: 2em;
        font-weight: 700;
        padding: 13px;
        height: 60px;
        display: inline-block;
        margin-bottom: 1em;
        text-align: center
    }

@media screen and (min-width: 768px) {
    .hero-block .container .hero-content .hero-button-wrapper .cta {
        width: 286px
    }
}

.hero-block .container .hero-content .hero-button-wrapper .or-spacer {
    font-size: 22px;
    font-weight: 500;
    width: 63px;
    text-align: center;
    position: relative;
    display: inline-block
}

    .hero-block .container .hero-content .hero-button-wrapper .or-spacer:before {
        position: absolute;
        width: 1px;
        background-color: #d0d3db;
        height: 16px;
        content: "";
        left: 50%;
        top: -16px
    }

    .hero-block .container .hero-content .hero-button-wrapper .or-spacer:after {
        position: absolute;
        width: 1px;
        background-color: #d0d3db;
        height: 16px;
        content: "";
        left: 50%;
        top: 26px
    }

.hero-block .container .hero-content .hero-button-wrapper .btn-signin {
    font-size: 18px;
    line-height: 2em;
    font-weight: 700;
    padding: 13px;
    height: 60px;
    width: 143px;
    display: inline-block;
    margin-bottom: 1em;
    text-align: center
}

.hero-block .container .hero-content .affiliates-hero-disclaimer-wrapper p.disclaimer-text {
    line-height: 1.3;
    font-size: 12px;
    font-weight: 900;
    color: #6E7481
}

    .hero-block .container .hero-content .affiliates-hero-disclaimer-wrapper p.disclaimer-text small {
        font-size: 11px
    }

@media (min-width: 1200px) {
    .hero-block .container .hero-content .affiliates-hero-disclaimer-wrapper p.disclaimer-text {
        width: 37em
    }
}

@media (min-width: 768px) and (max-width:991px) {
    .hero-block .container .hero-content .affiliates-hero-disclaimer-wrapper hr {
        margin-right: 4em
    }

    .hero-block .container .hero-content .affiliates-hero-disclaimer-wrapper p.disclaimer-text {
        width: 35em
    }
}

/*New style*/

.hero-preheader {
    font-size: 18px;
    font-weight: 900;
    padding-top: 12px;
    padding-bottom: 16px;
}

.hero-block {
    background-color: var(--hero-primary-color, aliceblue);
    background-repeat: no-repeat;
}

@media (max-width: 767px) {
    .hero-block {
        padding-bottom: 3rem;
    }

        .hero-block .container {
            justify-content: center;
        }

            .hero-block .container .hero-content {
                max-width: 90%;
            }
}

@media (min-width: 768px) {
    .hero-block {
        padding-bottom: 3rem;
    }
}

@media (min-width: 992px) {
    .hero-block {
        padding-bottom: 5rem;
    }
}

@media (min-width: 1200px) {
    .hero-block {
        padding-bottom: 0;
    }
}

.hero-block .hero-content-wrapper {
    display: flex;
    position: relative;
    align-items: center;
    flex-direction: column;
}

@media (min-width: 768px) {
    .hero-block .hero-content-wrapper {
        flex-direction: row;
    }
}

/*Required Modifications*/

@media (min-width: 768px) and (max-width: 991px) {
    /*just turn off the spotlight because bootstrap container hides the right side*/
    .hero-block .container::before {
        background: unset;
    }
}

@media (min-width: 992px) {
    .hero-block .container::before {
        --circle-d: 800px;
        --circle-y: 32%;
        --circle-x: 90%;
        top: 0; /*move spotlight up*/
    }

    .hero-block .container {
        width: 100%; /*bootstrap container cuts off circle*/
        padding-left: 100px;
    }

}

@media (min-width: 1200px) {
    .hero-block .container::before {
        --circle-d: 800px;
        --circle-y: 27%;
        --circle-x: 70%;
        top: 0; /*move spotlight up*/
    }

    .hero-block .container {
        width: 100%; /*bootstrap container cuts off circle*/
        padding-left: calc(var(--margin-width) - 100px);
    }
}

/*resize & shift primary image*/

@media (min-width: 992px) {
    .hero-block .container::after {
        width: 390px;
    }
}

@media (min-width: 1200px) {
    .hero-block .container::after {
        top: 1%;
        left: 50%;
    }
}